<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('exp_rate_schedules', function (Blueprint $table) {
            $table->dropColumn('broadcast_type');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('exp_rate_schedules', function (Blueprint $table) {
            $table->integer('broadcast_type')->default(0)->comment('0=notice, 1=world, 2=gmchat');
        });
    }
};
